<div class="container" [routerLink]="['/environment', environment.environment?.id]">
    <h1 class="env-name">{{environment?.environment?.name}}</h1>


    <div class="env-section-title">Location</div>
    <br>

    <div *ngIf="environment?.environment?.indoor">Indoor facing {{environment?.environment?.orientation | lowercase}} </div>
    <div *ngIf="!environment?.environment?.indoor">Outdoor facing {{environment?.environment?.orientation | lowercase}}</div>
    <div>
        Latitute: {{environment?.environment?.latitude}}
        <br>
        Longitude: {{environment?.environment?.longitude}}
    </div>

    <div class="divider"></div>
    <br>

    <div class="env-section-title">Readings</div>
    <br>

    <!-- No statistics -->
    <div *ngIf="!environment?.lastRead">
        <div class="config-info">
            <label>No data has been sumbitted yet.</label>
        </div>
    </div>

    <!-- Last statistics -->
    <div *ngIf="!!environment?.lastRead">
        <div class="statistics">
            <mat-icon aria-hidden="true" color="accent">nature</mat-icon>
            <div> Air temperature: {{environment .lastRead.airTemperatureCelsius}}°C</div>
        </div>
        <div class="statistics">
            <mat-icon aria-hidden="true" color="accent">cloud</mat-icon>
            <div> Air humidity: {{environment.lastRead.airHumidityPercentage}}%</div>
        </div>
        <div class="statistics">
            <mat-icon aria-hidden="true" color="accent">opacity</mat-icon>
            <div> Soil moisture: {{environment.lastRead.soilMoisturePercentage}}%</div>
        </div>
        <div class="statistics">
            <mat-icon aria-hidden="true" color="accent">wb_sunny</mat-icon>
            <div> Luminosity: {{environment.lastRead.lightIntensityLux}}%</div>
        </div>
    </div>


</div>